Subject: Re: KASAN: null-ptr-deref Read in css_task_iter_advance

From: Tejun Heo <[email-masked]>
Date: Mon, 10 Jun 2019 11:19:01 -0700

Hello, Hillf.

On Tue, Jun 11, 2019 at 12:59:23AM +0800, Hillf Danton wrote:
> >syzbot will keep track of this bug report. See:
> >https://goo.gl/tpsmEJ#status for how to communicate with syzbot.
> >
> Ignore my noise if you have no interest seeing the syzbot report.

They're awesome.

> The following tiny diff, made in the hope that it may help you perhaps
> reproduce the crash, waits css lock holders and then pick task off
> the list of dying tasks.

I already posted a fix.  Well, at least I think it's the fix.

  https://www.spinics.net/lists/cgroups/msg22468.html

Thanks.

-- 
tejun